{**************************************
 *  O b j e c t G E M   Version 1.12  *
 *  Copyright 1992-94 by Thomas Much  *
 **************************************
 *       Unit  O S T D D L G S        *
 **************************************
 *    Softdesign Computer Software    *
 *    Thomas Much, Gerwigstrae 46,   *
 *  76131 Karlsruhe, (0721) 62 28 41  *
 *         Thomas Much @ KA2          *
 *  UK48@ibm3090.rz.uni-karlsruhe.de  *
 **************************************
 *    erstellt am:        03.03.1994  *
 *    letztes Update am:  03.03.1994  *
 **************************************}

{
  WICHTIGE ANMERKUNGEN ZUM QUELLTEXT:

  ObjectGEM wird ab sofort mit dem _vollstndigen_ Quelltext ausgeliefert,
  d.h. jeder kann sich die Unit selbst compilieren, womit die extrem
  lstigen Kompatibilittsprobleme mit den PP-Releases beseitigt sind.
  ObjectGEM ist und bleibt aber trotzdem SHAREWARE, d.h. wer die Biblio-
  thek regelmig benutzt, mu sich REGISTRIEREN lassen (so wie bisher).
  Im Moment gibt es dafr dann "nur" die neueste Version; eine geTEXte
  Doku ist aber in Arbeit, so da auch ein gedrucktes Handbuch immer
  wahrscheinlicher wird.

  Der Quelltext enthlt z.Z. noch _keine_ Kommentare; wer sich dennoch die
  Mhe macht, ihn zu lesen, wird feststellen, da er auerdem noch recht
  "wirr" und teilweise umstndlich geschrieben ist, oder da er evtl. auch
  unntige Teile enthlt. Das liegt daran, da dieser Quelltext eigentlich
  gar nicht fr eine Verffentlichung gedacht war, aber immer hufiger auf-
  tretende PP-Updates haben mich schier zur Verzweiflung getrieben...
  Das alles sollte aber kein Grund sein, ObjectGEM nicht einzusetzen, denn
  sobald nach "auen" die von mir gewnschte Funktionalitt erreicht ist
  (d.h. wenn alle wichtigen Objekte vorhanden sind, z.B. TEditWindow etc.),
  werde ich mich um die "innere" Optimierung kmmern (dazu gehren dann
  auch die Kommentare). Die bisher geschriebenen ObjectGEM-Anwendungen
  knnen dann natrlich weiterverwendet werden.

  Wer beim Durchstbern des Textes auf vermeintliche Fehler oder verbesse-
  rungswrdige Stellen trifft (von letzterem gibt es sicherlich noch viele),
  kann mir dies gerne mitteilen - ich habe auch ich nichts gegen kostenlos
  zur Verfgung gestellte optimierte Routinen (sofern sich jemand die Mhe
  macht). Wer in anderen Projekten, die nicht in direkter Konkurrenz zu
  ObjectGEM stehen, einzelne Routinen verwenden mchte, wendet sich bitte
  an mich (ein solcher Austausch sollte kein Problem sein).

  Wer sich auf nicht dokumentierte "implementation"- oder "private"-Eigen-
  schaften verlt, darf sich nicht ber Inkompatibilitten zu spteren
  Versionen wundern; wer meint, eine Dokumentationslcke entdeckt zu haben
  (auer dem "Abgrund" des noch fehlenden Handbuchs...), kann mir dies
  gerne mitteilen.

  WICHTIG: Wer den Quelltext verndert und dann Probleme beim Compilieren,
  Ausfhren o.. hat, kann nicht damit rechnen, da ich den Fehler suche;
  tritt der Fehler allerdings auch mit dem Original-Quelltext auf, wrde
  ich mich ber eine genaue Fehlerbeschreibung freuen. Vernderte Quell-
  texte drfen _nicht_ weitergegeben werden, dies wre ein Versto gegen
  das Copyright!

  Kleine Info zum Schlu: Als "default tabsize" verwende ich 2. Wer drei
  Punkte ("...") im Quelltext entdeckt, hat eine Stelle gefunden, an der
  ich z.Z. arbeite ;-)

  "Mge die OOP mit Euch sein!"
}


{$IFDEF DEBUG}
	{$B+,D+,G-,I-,L+,N-,P-,Q+,R+,S+,T-,V-,X+,Z+}
{$ELSE}
	{$B+,D-,G-,I-,L-,N-,P-,Q-,R-,S-,T-,V-,X+,Z+}
{$ENDIF}

unit OStdDlgs;

interface

uses

	OWindows;

type

	TFileDialog = object(TDialog)
		public
		{ ... }
		function GetClassName: string; virtual;
	end;

	TColorDialog = object(TDialog)
		public
		{ ... }
		function GetClassName: string; virtual;
	end;

	TFontDialog = object(TDialog)
		public
		{ ... }
		function GetClassName: string; virtual;
	end;


implementation


{ *** Objekt TFILEDIALOG *** }

function TFileDialog.GetClassName: string;

	begin
		GetClassName:='FileDialog'
	end;

{ *** TFILEDIALOG *** }



{ *** Objekt TCOLORDIALOG *** }

function TColorDialog.GetClassName: string;

	begin
		GetClassName:='ColorDialog'
	end;

{ *** TCOLORDIALOG *** }



{ *** Objekt TFONTDIALOG *** }

function TFontDialog.GetClassName: string;

	begin
		GetClassName:='FontDialog'
	end;

{ *** TFONTDIALOG *** }

end.